Apache: consente dal dominio senza utilizzare la ricerca inversa

Voglio consentire l'accesso a una cartella da un "nome di dominio" invece di indirizzo IP in apache. Ora, allow from accettare i domini come argomenti, ma penso che anche una ricerca DNS inversa di cross check (che è buona ma troppo rigorosa per me). C'è un modo per configurare apache per non eseguire il controllo dns inverso (per quel particolare allow from direttiva).

((In sostanza, voglio consentire l'accesso solo dal mio PC, che ha un indirizzo IP dinamico. Ho mappato su un dominio utilizzando DynDns – tuttavia la ricerca inversa del mio "IP dinamico" non risolverà il dominio)).

  • WebDAV su CentOS - ottenendo 403 errori quando si tenta di caricare
  • Certificato SSL multiplo su Apache
  • Come posso monitorare l'utilizzo della width di banda da Virtual Host in Apache su Ubuntu?
  • Apache mod_auth_kerb e gruppi di utenti LDAP
  • Imposta la pagina predefinita per Apache Virtual Hosts
  • Perché è così importnte rimuovere 777 permessi?
  • In alternativa, se qualcuno può suggerire un servizio gratuito che configura anche la ricerca DNS inversa per il mio IP dinamico (non sa se è ansible in primo luogo), che farebbe anche il trucco.

    Grazie!

    JP

  • Ci sono vantaggi in termini di sicurezza per avere un firewall dedicato?
  • Errore di sovversione: il repository è stato spostato in modo permanente per rimandare a favore
  • Come generare dati netflow in linux
  • Tinyproxy ha rifiutato il metodo CONNECT
  • Proxy Pass non funziona
  • Un numero crescente di connessioni TIME_WAIT influenza le performance del server?
  • 2 Solutions collect form web for “Apache: consente dal dominio senza utilizzare la ricerca inversa”

    La risposta corta è no, poiché Apache di Allow from deve eseguire una ricerca DNS inversa e in avanti:

    "Questa configuration causerà Apache a eseguire una ricerca DNS duplice inversione nell'indirizzo IP del client, indipendentemente dall'impostazione della direttiva HostnameLookups. Effettua una ricerca DNS inversa nell'indirizzo IP per trovare il nome host associato e quindi fare un avanzamento ricercare nel nome host per assicurarsi che corrisponda all'indirizzo IP originale. Solo se il DNS di avanzamento e inverso è coerente e il nome host corrisponde, l'accesso sarà consentito ".

    La mia raccomandazione sarebbe quella di mettere una sorta di authentication su quella directory particolare invece di cercare di limitare per nome host.

    Normalmente, non è ansible utilizzare l'opzione Consenti da con host dinamici (per i quali il DNS indietro indica generalmente l'ISP). Ma volevo comunque per alcune pagine che non valevano la pena proteggere con l'authentication. Quindi questa è la mia soluzione.

    Il mio server è configurato per utilizzare prima il file / etc / hosts prima di DNS. Ho un cron lavoro che aggiorna il file hosts each 15 minuti con i miei IP esterni dinamici attuali. Nel mio caso, ho il mio sottodominio sul mio DNS e desidero aggiornare diversi host. Lo script di aggiornamento che chiamiamo da cron è:

     #!/bin/sh ## Update /etc/hosts with our dynamic hosts # dig ends the domain name with a dot, so we need it domain=dyn.example.com. die() { echo "$1" 1>&2 exit 1; } tmpfile=$(mktemp "/tmp/hosts.XXXXX") cp -a /etc/hosts $tmpfile || die "Cannot copy /etc/hosts to $tmpfile" perl -i -ne "print unless /\Q$domain\E\s/" $tmpfile || die "Cannot remove $domain from $tmpfile" dig -t AXFR $domain | \ perl -lne '/^(\S+)\s+\d+\s+IN\s+A\s+(\S+)/ && print "$2 $1"' >> $tmpfile \ || die "Cannot add $domain entries to $tmpfile" mv $tmpfile /etc/hosts || die "Error cannot mv $tmpfile to /etc/hosts" 

    Se si dispone di un singolo host da aggiornare, lo script può essere molto più semplice di quello.

    Suggerimenti per Linux e Windows Server, quali Ubuntu, Centos, Apache, Nginx, Debian e argomenti di rete.